<template>
  <keep-alive>
    <fault-type-2-list
      v-if="nodeType === 0"
      :nodeSelected="nodeSelected"
    ></fault-type-2-list>

  </keep-alive>
</template>

<script>
import FaultType2List from "./FaultType2List";

export default {
  name: 'FaultTypeRight',
  components: {
    FaultType2List,

  },
  data() {
    return {
      description: '故障类型',
      currentOrgCode: '',
      nodeType: 0,
      nodeSelected: {}
    }
  },
  methods: {},
  mounted() {
    this.$bus.$on('getCurrSelected', (data) => {  //getCurrSelected 事件 接收组件传递的参数
      this.nodeType = (data.type == undefined ? 0 : data.type);
      this.nodeSelected = data;
    })
  },
}
</script>

<style scoped>
</style>